## org.apache.myfaces.config.impl.digester
Class DigesterFacesConfigDispenserImpl

    java.lang.Object
      org.apache.myfaces.config.impl.digester.DigesterFacesConfigDispenserImpl

All Implemented Interfaces:
  FacesConfigDispenser

public class DigesterFacesConfigDispenserImpl
extends java.lang.Object
implements FacesConfigDispenser

Author:
  Oliver Rossmueller

Constructor Summary
`DigesterFacesConfigDispenserImpl()`

Method Summary
`void` `feed(java.lang.Object facesConfig)` Add another unmarshalled faces config object.
`void` `feedApplicationFactory(java.lang.String factoryClassName)` Add another ApplicationFactory class name
`void` `feedFacesContextFactory(java.lang.String factoryClassName)` Add another FacesContextFactory class name
`void` `feedLifecycleFactory(java.lang.String factoryClassName)` Add another LifecycleFactory class name
`void` `feedRenderKitFactory(java.lang.String factoryClassName)` Add another RenderKitFactory class name
`java.util.Iterator` `getActionListenerIterator()`
`java.util.Iterator` `getApplicationFactoryIterator()`
`java.lang.String` `getComponentClass(java.lang.String componentType)`
`java.util.Iterator` `getComponentTypes()`
`java.lang.String` `getConverterClassByClass(java.lang.String className)`
`java.lang.String` `getConverterClassById(java.lang.String converterId)`
`java.util.Iterator` `getConverterClasses()`
`Converter` `getConverterConfiguration(java.lang.String converterClassName)` delivers a converter-configuration for one class-name
`java.util.Iterator` `getConverterConfigurationByClassName()`
`java.util.Iterator` `getConverterIds()`
`java.lang.String` `getDefaultLocale()`
`java.lang.String` `getDefaultRenderKitId()`
`java.util.Iterator` `getFacesContextFactoryIterator()`
`java.util.Iterator` `getLifecycleFactoryIterator()`
`java.util.Iterator` `getLifecyclePhaseListeners()`
`java.util.Iterator` `getManagedBeans()`
`java.lang.String` `getMessageBundle()`
`java.util.Iterator` `getNavigationHandlerIterator()`
`java.util.Iterator` `getNavigationRules()`
`java.util.Iterator` `getPropertyResolverIterator()`
`java.util.Iterator` `getRenderers(java.lang.String renderKitId)`
`java.lang.String` `getRenderKitClass(java.lang.String renderKitId)`
`java.util.Iterator` `getRenderKitFactoryIterator()`
`java.util.Iterator` `getRenderKitIds()`
`java.util.Iterator` `getStateManagerIterator()`
`java.util.Iterator` `getSupportedLocalesIterator()`
`java.lang.String` `getValidatorClass(java.lang.String validatorId)`
`java.util.Iterator` `getValidatorIds()`
`java.util.Iterator` `getVariableResolverIterator()`
`java.util.Iterator` `getViewHandlerIterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DigesterFacesConfigDispenserImpl

    public DigesterFacesConfigDispenserImpl()

Method Detail

### feed

    public void feed(java.lang.Object facesConfig)

  Add another unmarshalled faces config object.

  Specified by:
    `feed` in interface `FacesConfigDispenser`
  Parameters:
    `facesConfig` - unmarshalled faces config object

### feedApplicationFactory

    public void feedApplicationFactory(java.lang.String factoryClassName)

  Add another ApplicationFactory class name

  Specified by:
    `feedApplicationFactory` in interface `FacesConfigDispenser`
  Parameters:
    `factoryClassName` - a class name

### feedFacesContextFactory

    public void feedFacesContextFactory(java.lang.String factoryClassName)

  Add another FacesContextFactory class name

  Specified by:
    `feedFacesContextFactory` in interface `FacesConfigDispenser`
  Parameters:
    `factoryClassName` - a class name

### feedLifecycleFactory

    public void feedLifecycleFactory(java.lang.String factoryClassName)

  Add another LifecycleFactory class name

  Specified by:
    `feedLifecycleFactory` in interface `FacesConfigDispenser`
  Parameters:
    `factoryClassName` - a class name

### feedRenderKitFactory

    public void feedRenderKitFactory(java.lang.String factoryClassName)

  Add another RenderKitFactory class name

  Specified by:
    `feedRenderKitFactory` in interface `FacesConfigDispenser`
  Parameters:
    `factoryClassName` - a class name

### getApplicationFactoryIterator

    public java.util.Iterator getApplicationFactoryIterator()

  Specified by:
    `getApplicationFactoryIterator` in interface `FacesConfigDispenser`
  Returns:
    Iterator over ApplicationFactory class names

### getFacesContextFactoryIterator

    public java.util.Iterator getFacesContextFactoryIterator()

  Specified by:
    `getFacesContextFactoryIterator` in interface `FacesConfigDispenser`
  Returns:
    Iterator over FacesContextFactory class names

### getLifecycleFactoryIterator

    public java.util.Iterator getLifecycleFactoryIterator()

  Specified by:
    `getLifecycleFactoryIterator` in interface `FacesConfigDispenser`
  Returns:
    Iterator over LifecycleFactory class names

### getRenderKitFactoryIterator

    public java.util.Iterator getRenderKitFactoryIterator()

  Specified by:
    `getRenderKitFactoryIterator` in interface `FacesConfigDispenser`
  Returns:
    Iterator over RenderKit factory class names

### getActionListenerIterator

    public java.util.Iterator getActionListenerIterator()

  Specified by:
    `getActionListenerIterator` in interface `FacesConfigDispenser`
  Returns:
    Iterator over ActionListener class names

### getDefaultRenderKitId

    public java.lang.String getDefaultRenderKitId()

  Specified by:
    `getDefaultRenderKitId` in interface `FacesConfigDispenser`
  Returns:
    the default render kit id

### getMessageBundle

    public java.lang.String getMessageBundle()

  Specified by:
    `getMessageBundle` in interface `FacesConfigDispenser`
  Returns:
    Iterator over message bundle names

### getNavigationHandlerIterator

    public java.util.Iterator getNavigationHandlerIterator()

  Specified by:
    `getNavigationHandlerIterator` in interface `FacesConfigDispenser`
  Returns:
    Iterator over NavigationHandler class names

### getViewHandlerIterator

    public java.util.Iterator getViewHandlerIterator()

  Specified by:
    `getViewHandlerIterator` in interface `FacesConfigDispenser`
  Returns:
    Iterator over ViewHandler class names

### getStateManagerIterator

    public java.util.Iterator getStateManagerIterator()

  Specified by:
    `getStateManagerIterator` in interface `FacesConfigDispenser`
  Returns:
    Iterator over StateManager class names

### getPropertyResolverIterator

    public java.util.Iterator getPropertyResolverIterator()

  Specified by:
    `getPropertyResolverIterator` in interface `FacesConfigDispenser`
  Returns:
    Iterator over PropertyResolver class names

### getVariableResolverIterator

    public java.util.Iterator getVariableResolverIterator()

  Specified by:
    `getVariableResolverIterator` in interface `FacesConfigDispenser`
  Returns:
    Iterator over VariableResolver class names

### getDefaultLocale

    public java.lang.String getDefaultLocale()

  Specified by:
    `getDefaultLocale` in interface `FacesConfigDispenser`
  Returns:
    the default locale name

### getSupportedLocalesIterator

    public java.util.Iterator getSupportedLocalesIterator()

  Specified by:
    `getSupportedLocalesIterator` in interface `FacesConfigDispenser`
  Returns:
    Iterator over supported locale names

### getComponentTypes

    public java.util.Iterator getComponentTypes()

  Specified by:
    `getComponentTypes` in interface `FacesConfigDispenser`
  Returns:
    Iterator over all defined component types

### getComponentClass

    public java.lang.String getComponentClass(java.lang.String componentType)

  Specified by:
    `getComponentClass` in interface `FacesConfigDispenser`
  Returns:
    component class that belongs to the given component type

### getConverterIds

    public java.util.Iterator getConverterIds()

  Specified by:
    `getConverterIds` in interface `FacesConfigDispenser`
  Returns:
    Iterator over all defined converter ids

### getConverterClasses

    public java.util.Iterator getConverterClasses()

  Specified by:
    `getConverterClasses` in interface `FacesConfigDispenser`
  Returns:
    Iterator over all classes with an associated converter

### getConverterConfigurationByClassName

    public java.util.Iterator getConverterConfigurationByClassName()

  Specified by:
    `getConverterConfigurationByClassName` in interface `FacesConfigDispenser`
  Returns:
    Iterator over the config classes for the converters

### getConverterConfiguration

    public Converter getConverterConfiguration(java.lang.String converterClassName)

  Description copied from interface: `FacesConfigDispenser`
  delivers a converter-configuration for one class-name

  Specified by:
    `getConverterConfiguration` in interface `FacesConfigDispenser`

### getConverterClassById

    public java.lang.String getConverterClassById(java.lang.String converterId)

  Specified by:
    `getConverterClassById` in interface `FacesConfigDispenser`
  Returns:
    converter class that belongs to the given converter id

### getConverterClassByClass

    public java.lang.String getConverterClassByClass(java.lang.String className)

  Specified by:
    `getConverterClassByClass` in interface `FacesConfigDispenser`
  Returns:
    converter class that is associated with the given class name

### getValidatorIds

    public java.util.Iterator getValidatorIds()

  Specified by:
    `getValidatorIds` in interface `FacesConfigDispenser`
  Returns:
    Iterator over all defined validator ids

### getValidatorClass

    public java.lang.String getValidatorClass(java.lang.String validatorId)

  Specified by:
    `getValidatorClass` in interface `FacesConfigDispenser`
  Returns:
    validator class name that belongs to the given validator id

### getManagedBeans

    public java.util.Iterator getManagedBeans()

  Specified by:
    `getManagedBeans` in interface `FacesConfigDispenser`
  Returns:
    Iterator over `ManagedBean`s

### getNavigationRules

    public java.util.Iterator getNavigationRules()

  Specified by:
    `getNavigationRules` in interface `FacesConfigDispenser`
  Returns:
    Iterator over `NavigationRule`s

### getRenderKitIds

    public java.util.Iterator getRenderKitIds()

  Specified by:
    `getRenderKitIds` in interface `FacesConfigDispenser`
  Returns:
    Iterator over all defined renderkit ids

### getRenderKitClass

    public java.lang.String getRenderKitClass(java.lang.String renderKitId)

  Specified by:
    `getRenderKitClass` in interface `FacesConfigDispenser`
  Returns:
    renderkit class name for given renderkit id

### getRenderers

    public java.util.Iterator getRenderers(java.lang.String renderKitId)

  Specified by:
    `getRenderers` in interface `FacesConfigDispenser`
  Returns:
    Iterator over `Renderer`s for the given renderKitId

### getLifecyclePhaseListeners

    public java.util.Iterator getLifecyclePhaseListeners()

  Specified by:
    `getLifecyclePhaseListeners` in interface `FacesConfigDispenser`
  Returns:
    Iterator over `PhaseListener` implementation class names